RIO_LOCK_DEVICE(9)

NAME
rio_lock_device - Acquires host device lock for specified device

SYNOPSIS

int rio_lock_device(struct rio_mport * port, u16 destid, u8 hopcount, int wait_ms);

ARGUMENTS

port
    Master port to send transaction

destid
    Destination ID for device/switch

hopcount
    Hopcount to reach switch

wait_ms
    Max wait time in msec (0 = no timeout)

DESCRIPTION

Attepts to acquire host device lock for specified device Returns 0 if device lock acquired or EINVAL if timeout expires.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT